<template>
    <div class="bg-white rounded-sm">
        <input @input="(event) => $emit('update:checked', event.target.checked)" type="checkbox" :checked="checked"
            :id="fieldId" class="mr-2 hidden" />
        <label :for="fieldId" class="flex flex-row items-center font-bold text-gray-800 cursor-pointer select-none">
            <fa-icon v-if="!!checked" class="text-white border border-primary bg-primary py-[0.5px] px-[1px] rounded-sm"
                icon="fa-solid fa-check" />
            <fa-icon v-if="!checked" class="text-white border border-primary py-[0.5px] px-[1px] rounded-sm"
                icon="fa-solid fa-square" />
        </label>
    </div>
</template>

<script>
export default {
    name: 'VCheckBox',
    props: {
        label: {
            type: String,
            default: ''
        },
        fieldId: {
            type: String,
            required: true,
        },
        checked: {
            type: Boolean,
            default: false
        },
    },
}
</script>
